Endpoints
List snapshots
Return snapshot metadata for a script.
GET
/
v1
/
projects
/
{project_id}
/
scripts
/
{script_id}
/
snapshots
List snapshots
curl --request GET \
--url https://api.example.com/v1/projects/{project_id}/scripts/{script_id}/snapshotsimport requests
url = "https://api.example.com/v1/projects/{project_id}/scripts/{script_id}/snapshots"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/projects/{project_id}/scripts/{script_id}/snapshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Returns snapshot metadata only.
curl "https://api.arcstudiopro.com/v1/projects/project_.../scripts/script_.../snapshots" \
-H "Authorization: Bearer $ARC_STUDIO_API_KEY"
{
"object": "list",
"url": "/v1/projects/project_.../scripts/script_.../snapshots",
"has_more": false,
"data": [
{
"id": "snapshot_...",
"object": "script_snapshot",
"description": null,
"revision_color": null,
"created_at": "2026-06-24T12:00:00Z",
"formats": ["json", "md"]
}
]
}
⌘I
List snapshots
